/* The main calendar widget.  div containing a table. */

.calendar
{
	position: relative;
	display: none;
	cursor: default;
	z-index: 9999;
}

.calendar table
{
	
	cursor: default;
	background: #fff;
}

/* Header part -- contains navigation buttons and day names. */

.calendar .button
{
	/* "<<", "<", ">", ">>" buttons have this class */
	text-align: center;	
	justify-content: center;

}

.calendar .nav
{
	background: transparent url(menuarrow.gif) no-repeat 100% 100%;
}

.calendar thead .title
{
	/* This holds the current "month, year" */
	font-weight: bold;
	text-align: center;
}

.calendar thead .headrow
{
	/* Row <TR> containing navigation buttons */
}

.calendar thead .daynames
{
	/* Row <TR> containing the day names */
}

.calendar thead .name
{
	/* Cells <TD> containing the day names */
	text-align: center;
}

.calendar thead .weekend
{
	/* How a weekend day name shows in header */
	color: #f00;
}



.calendar thead .active
{
	/* Active (pressed) buttons in header */
	background-color: #b8c0c4;
}

/* The body part -- contains all the days in month. */

.calendar tbody .day
{
	/* Cells <TD> containing month days dates */
	text-align: center;
}
.calendar tbody .day.othermonth
{
	font-size: 80%;
	color: #aaa;
}
.calendar tbody .day.othermonth.oweekend
{
	color: #faa;
}

.calendar table .wn
{
	background: #e8f4f0;
}



.calendar tbody .rowhilite td.wn
{
	background: #c8d4d0;
}

.calendar tbody td.hilite
{
	/* Hovered cells <TD> */
	
}



	.calendar tbody td.today {
		/* Cell showing today date */
		font-weight: bold;
		color: #000;
		background: rgba(var(--bs-warning-rgb),.4) !important;
	}

	.calendar tbody td.selected {
		/* Cell showing selected date */
		font-weight: bold;
		color: #fff !important;
		background: rgba(var(--bs-primary-rgb),1) !important;
	}

	.calendar tbody td.day:hover {
		color: #000 !important;
		background: var(--bs-success-bg-subtle) !important
	}

.calendar tbody td.weekend
{
	/* Cells showing weekend days */
	color: #f00;
}

	

.calendar tbody .disabled
{
	color: #999;
}

.calendar tbody .emptycell
{
	/* Empty cells (the best is to hide them) */
	visibility: hidden;
}

.calendar tbody .emptyrow
{
	/* Empty row (some months need less than 6 rows) */
	display: none;
}

/* The footer part -- status bar and "Close" button */

.calendar tfoot .footrow
{
	/* The <TR> in footer (only one right now) */
}


.calendar tfoot .hilite
{
	/* Hover style for buttons in footer */
	
	background: #d8e0e4;
}



/* Combo boxes (menus that display months/years for direct selection) */

.calendar .combo
{
	position: absolute;
	display: none;
	width: 4em;
	top: 0px;
	left: 0px;
	cursor: default;
	border-top: 1px solid #fff;
	border-right: 1px solid #000;
	border-bottom: 1px solid #000;
	border-left: 1px solid #fff;
	background: #d8e0e4;
	font-size: 90%;
	padding: 1px;
	z-index: 100;
}

.calendar .combo .label, .calendar .combo .label-IEfix
{
	text-align: center;
	padding: 1px;
}

.calendar .combo .label-IEfix
{
	width: 4em;
}

.calendar .combo .active
{
	background: #c8d0d4;
	padding: 0px;
	border-top: 1px solid #000;
	border-right: 1px solid #fff;
	border-bottom: 1px solid #fff;
	border-left: 1px solid #000;
}

.calendar .combo .hilite
{
	background: #048;
	color: #aef;
}

.calendar td.time
{
	border-top: 1px solid #000;
	padding: 1px 0px;
	text-align: center;
	background-color: #e8f0f4;
}

.calendar td.time .hour, .calendar td.time .minute, .calendar td.time .ampm
{
	padding: 0px 3px 0px 4px;
	border: 1px solid #889;
	font-weight: bold;
	background-color: #fff;
}

.calendar td.time .ampm
{
	text-align: center;
}

.calendar td.time .colon
{
	padding: 0px 2px 0px 3px;
	font-weight: bold;
}

.calendar td.time span.hilite
{
	border-color: #000;
	background-color: #667;
	color: #fff;
}

.calendar td.time span.active
{
	border-color: #f00;
	background-color: #000;
	color: #0f0;
}